Bug 1841149 - OLM: Console is not creating role binding when enabling monitoring for an operator
Summary: OLM: Console is not creating role binding when enabling monitoring for an ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1838297
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 13:35 UTC by OpenShift BugZilla Robot
Modified: 2020-06-23 00:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Role and RoleBinding for let monitoring scrape metrics for operators when the `operatorframework.io/cluster-monitoring=true` is set, are not created when creating suggested-namespace Consequence: Monitoring metrics scraping fails Fix: Create Role and RoleBinding for let monitoring scrape metrics for operators when the `operatorframework.io/cluster-monitoring=true` is set Result: Monitoring metrics scraping succeeds
Clone Of:
Environment:
Last Closed: 2020-06-23 00:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5617 None closed [release-4.4] Bug 1841149: Creating role and roleBinding when enabling monitoring for an operator 2020-07-23 15:53:48 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:57:45 UTC

Comment 4 Yanping Zhang 2020-06-11 15:06:11 UTC
Checked on ocp 4.4 cluster with payload 4.4.0-0.nightly-2020-06-11-064343.
Install cluster logging operator from console. (cluster logging operator has 'operatorframework.io/cluster-monitoring=true' annotation)
After install succeeds, check role and rolebinding in openshift-logging project, there are role openshift-logging-prometheus and rolebinding openshift-logging-prometheus.
The bug is fixed.

Comment 6 errata-xmlrpc 2020-06-23 00:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.